eslint-plugin-import versions and peer dependencies

The table below has a list of all versions of eslint-plugin-import compatible peers dependencies.

Version Peer Dependency Versions
2.21.0 - 2.22.1
  • eslint @ ^2 || ^3 || ^4 || ^5 || ^6 || ^7.2.0
2.18.0 - 2.20.2
  • eslint @ 2.x - 6.x
2.13.0 - 2.17.3
  • eslint @ 2.x - 5.x
2.6.0 - 2.12.0
  • eslint @ 2.x - 4.x
2.0.0 - 2.5.0
  • eslint @ 2.x - 3.x
1.10.2 - 1.16.0
  • eslint @ 2.x - 3.x
1.0.0 - 1.10.0
  • eslint @ 2.x
0.10.0 - 0.13.0
  • eslint @ >=1.4.0
0.7.8 - 0.9.1
  • eslint @ >=0.16.0
0.7.1 - 0.7.7
  • eslint @ >=0.16.0 || ~1.0.0-rc-0
0.3.0 - 0.7.0
  • eslint @ >=0.16.0